---
lang: en
title: 'API docs: context.injectiondescriptor'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/context
permalink: /doc/en/lb4/apidocs.context.injectiondescriptor.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [InjectionDescriptor](./context.injectiondescriptor.md)

## InjectionDescriptor interface

<b>Signature:</b>

```typescript
export interface InjectionDescriptor 
```

## Properties

|  Property | Type | Description |
|  --- | --- | --- |
|  [bindingSelector](./context.injectiondescriptor.bindingselector.md) | [BindingSelector](./context.bindingselector.md) |  |
|  [metadata](./context.injectiondescriptor.metadata.md) | [InjectionMetadata](./context.injectionmetadata.md) |  |
|  [targetName](./context.injectiondescriptor.targetname.md) | string |  |


